// vue.config.js
module.exports = {
  publicPath: './',
  devServer: {
    proxy: {
      [process.env.VUE_APP_BASE_API]: {
        // target: `http://wx.hw.hongweisoft.com/veterans/company/`,
        target: `http://172.16.90.64:7200/company/`,
        changeOrigin: true,
        pathRewrite: {
          ['^' + process.env.VUE_APP_BASE_API]: ''
        }
      },
      [process.env.VUE_APP_COMMON_API]: {
        // target: `http://wx.hw.hongweisoft.com/veterans/company/`,
        target: `https://wx.hw.hongweisoft.com/veterans/app/`,
        changeOrigin: true,
        pathRewrite: {
          ['^' + process.env.VUE_APP_COMMON_API]: ''
        }
      },
    },
    disableHostCheck: true
  },
}
